@echo off
 goto begin

.doc
    Purpose  ... Create a zipped archive from a subdirectory and all its subdirs
    Author   ... Gerry J Danen
    Modified ... 04-Jan-97
    Params   ... 1 - name of directory to zip
                 2 - /Q optional if not called from s2z-all.bat
                 2 - if called from s2z-all.bat, current # of directory being processed
                 3 - if called from s2z-all.bat, total # of directories to process
    Notes    ...
                 The directory is zapped!
.enddoc

:begin
 u:\bu h "Sub 2 Zip" - Move content of subdir(s) to Zipped archive (/Q for quick mode)
 if [Y]==[%s2z.batch%] echo File %2 of %3

 call upcase %2
 set u2=%u%
 call upcase %1
 if exist %u%.zip goto error
 isdir %u% >nul
 if not errorlevel 1 goto nodir

 cd %u%
 ds ne /s
 if [Y]==[%s2z.batch%] dir
 if  []==[%s2z.batch%] dir /p
 cd

 if exist %temp%\file_id.diz erase %temp%\file_id.diz
 if exist file_id.diz copy file_id.diz %temp% >nul
 if [Y]==[%s2z.batch%] type file_id.diz
 if  []==[%s2z.batch%] showdiz
 if not exist DESC.SDI goto ask
 echo --------DESC.SDI------------------------------
 type DESC.SDI
 echo --------DESC.SDI------------------------------
 u:\bu m DESC.SDI may interfere with Major BBS upload into libraries.
 u:\bu y {y:60} Delete DESC.SDI
 if errorlevel 1 erase desc.sdi

:ask
 echo GD.CDMAKE=[0;47;31m %gd.cdmake% [0;44;37m
 if [Y]==[%s2z.batch%] goto doit
 u:\bu y {y} Shall we ZIP %u%?
 if errorlevel 1 goto doit
 goto end

:doit
 if exist cnet-bbs.* erase cnet-bbs.*
 if [/Q]==[%u2%] goto zipper

 rem ignore CNET-BBS.* for CD creation
 if exist cnet-bbs.zzz erase cnet-bbs.zzz
 if exist cnet-bbs.vrp erase cnet-bbs.vrp
 if [Y]==[%gd.cdmake%] goto zipper
 copy x:\data\zipcmt.txt+x:\data\danen.lib cnet-bbs.zzz >nul
 call dirscan . /nomem
 u:\st /d=%diz.dt% /t=%diz.tm% /b cnet-bbs.* file_id.diz >nul

:zipper
 if exist file_id.diz call x:zip -rpm -o -ex %u% file_id.diz
 call x:zip -rpm -o -ex %u% cnet-bbs.*
 call x:zip -rpm -o -ex %u% *.*
 %$p% %$a% -rpm -o -ex -k %u% *.* -z<x:\data\zipcmt.txt

 mov %u%.zi* ..
 cd ..
 rd %u%
 ds en >nul
 d %u%.*
 if exist %temp%\file_id.diz echo ----------------------------------------------
 if exist %temp%\file_id.diz type %temp%\file_id.diz
 if exist %temp%\file_id.diz echo ----------------------------------------------
 goto end

:nodir
 beep
 bu m Directory %u% does not exist
 goto end

:error
 beep
 bu m File %u%.zip already exists

:end
 set u2=
 set u=
